List Offers
curl --request GET \
--url https://api.lab.fieldnode.dev/v1/offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lab.fieldnode.dev/v1/offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lab.fieldnode.dev/v1/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"consumerId": "<string>",
"manufacturerId": "<string>",
"factoryId": "<string>",
"partId": "<string>",
"title": "<string>",
"description": "<string>",
"rfqId": "<string>",
"currency": "NOK",
"itemsInUnit": 123,
"priceMatrix": [
{
"unitFrom": 123,
"unitTo": 123,
"pricePerUnit": 123,
"leadTimeDays": 123,
"orderFee": 123
}
],
"shippingPrice": 123,
"frameworkNumber": "<string>"
}
],
"hasMore": true
}{
"status": 123,
"message": "<string>"
}Offer
List Offers
List offers with pagination.
GET
/
v1
/
offers
List Offers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination, starting at 1.
Required range:
x >= 1Page size for pagination.
Required range:
1 <= x <= 50View mode for listing offers.
Available options:
IP_OWNER Filter by activation status.